<?php
session_start();
   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
	

   $cuenta=0;
$qCuenta = "SELECT COUNT(id_prod) FROM productos";
	  $cCuenta = mysqli_query($conexion, $qCuenta) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysqli_error($conexion));
	  while($rCuenta = mysqli_fetch_row($cCuenta))
	  {
	      $cuenta = $rCuenta[0]+1; // Cantidad de Productos para el contador.
	   };

   

   function redondear($valor) {
$float_redondeado=round($valor * 100) / 100;
return $float_redondeado;
}

	   		// **********************************************************************************	
	   		  		// **********************************************************************************

		
			           $gtot=0; $puntos=0;
  echo"<center><FORM ACTION='crearinsc3.php' method='POST'><br><font size=\"6\" color=\"#5C3C12\">Crear Inscripci&oacute;n</font><br><br>
  Descripcion de promoci&oacute;n:<br><input type=\"text\" name=promoname size=\"30\" maxlength=\"30\"><BR><bR>Productos a ser agregados en la promocion:
			<table CellPadding=5>
			<tr bgcolor=\"#006633\"><th><font color=\"#FFFFFF\">Cant</font></th><th><font color=\"#FFFFFF\">Producto</font></th>
			</tr>";
	   		for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if ($_POST["cant$k"] > 0)
				{	
	   				$A1[$k]=$_POST["cant$k"];
	   				$A2[$k]=$_POST["copia_nombreProd$k"];
	   				$A3[$k]=$_POST["copia_precio$k"];
					$A4[$k]=$_POST["copia_id_prod$k"];
					$A5[$k]=$_POST["copia_puntos$k"];
					$A6[$k]=$_POST["existencias$k"];
					if($A6[$k]<$A1[$k]){$continua=1;};
					$tot=$A1[$k]*$A3[$k];
					$gtot+=$tot;
					$puntot=$A1[$k]*$A5[$k];
					$puntos+=$puntot;
		   			echo "<font size=2><tr bgcolor=\"#CCFFCC\"><td align=\"center\" width=\"30\">$A1[$k]</td>  <td align=\"center\" width=\"160\">$A2[$k]</td>  
					</font></tr>";
		   		}	
		   	}
			
			
			echo"</table>";
			
			echo"
			<br><table border=\"1\" bgcolor=\"#CCFFCC\">
			<tr>
			<td>Precio:</td>
			<td><b>$ <input type=\"text\" name=precio size=\"5\" maxlength=\"5\"></b></td>
			</tr>
			<tr>
			<td>Puntos:</td>
			<td><b><input type=\"text\" name=puntos size=\"5\" maxlength=\"5\"></b></td>
			</tr>
			</table><bR>";

			
			echo"Productos de Regalo para el patrocinador:<table CellPadding=5>
			<tr bgcolor=\"#006633\"><th><font color=\"#FFFFFF\">Cant</font></th><th><font color=\"#FFFFFF\">Producto</font></th>
			</tr>";
	   		for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if ($_POST["reg$k"] > 0)
				{	
	   				$A1[$k]=$_POST["reg$k"];
	   				$A2[$k]=$_POST["copia_nombreProd$k"];
	   				$A3[$k]=$_POST["copia_precio$k"];
					$A4[$k]=$_POST["copia_id_prod$k"];
					$A5[$k]=$_POST["copia_puntos$k"];
					$A6[$k]=$_POST["existencias$k"];
					if($A6[$k]<$A1[$k]){$continua=1;};
					$tot=$A1[$k]*$A3[$k];
					$gtot+=$tot;
					$puntot=$A1[$k]*$A5[$k];
					$puntos+=$puntot;
		   			echo "<font size=2><tr bgcolor=\"#CCFFCC\"><td align=\"center\" width=\"30\">$A1[$k]</td>  <td align=\"center\" width=\"160\">$A2[$k]</td>  
					</font></tr>";
		   		}	
		   	}
			
			
			echo"</table>";

			
			
                   	echo"
			<bR>";
			if($ipago==3){echo"<font color=\"#294da7\"><b>**Favor de hacer el cargo a tarjeta por $ $gtot antes de continuar**</b></font><br>
			<table bgcolor=\"#990000\"><tr><td><font color=\"#ffffff\">No. de confirmaci&oacute;n del Banco</font></td><td><input type=\"text\" name=autbco size=\"10\" maxlength=\"10\"></td></tr></table><br><br>";    }else
			{echo"<font color=\"#294da7\"><b>**Favor de revisar los datos antes de continuar**</b></font><br>";}
                   

		
			for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if ($_POST["cant$k"] > 0)
				{	
	   				$idprod = $_POST["copia_id_prod$k"];
					$cprecio = $_POST["copia_precio$k"];
	   				$canti = $_POST["cant$k"];
	   				$rega = $_POST["reg$k"];
	   				$nombrep = $_POST["copia_nombreProd$k"];
	   				
	   				
					echo "<input type=hidden name=copia_id_prod$k value='$idprod'>
					<input type=hidden name=copia_gtot value='$gtot'>
					
						  <input type=hidden name=copia_precio$k value='$cprecio'>
						   <input type=hidden name=reg$k value='$rega'>
						  <input type=hidden name=cant$k value='$canti'> 
						  <input type=hidden name=copia_nombreProd$k value='$nombrep'>
						  ";
		   		}	
		   	}
		echo"<form name=\"Selec_Prod_Pedido\" action=\"crearinsc2.php\" method=\"post\">";
  $esmix=$_POST["mixto"];
 
 if($esmix=="si"){ 
echo"<center><br><br>Cantidad de productos mixtos a elegir:<input type=\"text\" name=totprodmix size=\"5\" maxlength=\"5\"><br><br>
Selecciona el producto y el precio de promocion:<TABLE CellPadding=5>
			<TR bgcolor=\"#006633\">";   
           
                  
				echo "<th></th>
				<th><font color=\"#FFFFFF\">Id. Producto</font></th>
				<th><font color=\"#FFFFFF\">Nombre</th></font>
				<th><font color=\"#FFFFFF\">Precio</th></font>
				
			</TR>";
			
			
			$i = 0;
	 $qd = "SELECT id_prod, nombreProd, precio, puntos FROM productos  where tipoprod=1 order by nombreProd";

	  $cd = mysqli_query($conexion, $qd) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysqli_error($conexion));
	  if (mysqli_affected_rows($conexion)){
			while($renglon = mysqli_fetch_row($cd))
			{
				echo"<tr bgcolor=\"#CCFFCC\">";
				echo"<tD><input type=checkbox name=prodmix$i value=si ></td>";
				echo "<td>".$renglon[0]."</td>";
				echo "<input type=hidden name=copia_id_prod2$i value=$renglon[0]>";
				echo "<td>".$renglon[1]."</td>";
				echo "<input type=hidden name=copia_nombreProd2$i value=$renglon[1]>";
				
				
				
				echo "<td><input type=\"text\" name=copia_precio2$i size=\"5\" maxlength=\"5\"></td>";
				
								$i++;
				echo"</tr>";
			};
					
			echo "
			
			</table>"; 
			}
			}
				
			echo "
					<INPUT TYPE=\"SUBMIT\" NAME='confirmap'  VALUE=\"Dar de alta en sistema\" >
						</FORM>	
					</body>
				</html>";

//}

		

		

   

   

?>

